Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Issues with sys-devel\gettext
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
gr0x0rd
Guru
Guru


Joined: 12 Aug 2006
Posts: 303

PostPosted: Mon Apr 28, 2014 2:32 am    Post subject: Issues with sys-devel\gettext Reply with quote

I've been struggling for a while with an issue with the gettext package. As soon as it's updated past version 0.18.2, autopoint starts to fail for other ebuilds that require it. For example, right now I'm trying to emerge VLC 2.1, but can't seem to do so without upgrading to >=sys-devel\gettext-0.18.3.x.

I've tried obvious things, like re-emerging automake after upgrading gettext, but I basically can't emerge anything else until I downgrade the package to 0.18.2.

I find it odd that there's no other posts about this on the forum, so it must have to do with something particular to my system so here's my emerge --info:
Code:
Portage 2.2.8-r1 (default/linux/amd64/13.0, gcc-4.7.3, glibc-2.17, 3.4.9-gentoo x86_64)
=================================================================
System uname: Linux-3.4.9-gentoo-x86_64-Intel-R-_Core-TM-_i5_CPU_750_@_2.67GHz-with-gentoo-2.2
KiB Mem:    16412172 total,    532880 free
KiB Swap:    1048508 total,    984068 free
Timestamp of tree: Mon, 28 Apr 2014 01:00:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.5-r3, 3.2.3, 3.3.3
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.10.3, 1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.4, 4.6.3, 4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.4-r2 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo steam-overlay wavilen
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/steam-overlay /var/lib/layman/wavilen"
USE="X a52 aac aalib acl alsa amd64 apache2 asf avi berkdb bittorrent branding bzip2 cairo cdparanoia cdr cli consolekit cracklib crypt cxx dbus dri dts dv dvd dvdr dvdread encode ffmpeg firefox flac fortran ftp gdbm gif glitz iconv ipv6 java javascript jpeg json lame live lm_sensors lock mad mmx modules mp3 mpeg mpeg2 mplayer msn multilib mysql ncurses new-login nfs nls nptl nsplugin ntfs ogg opengl openmp oss pam pcre pdf pdo png policykit posix python quicktime rar rdesktop readline session simplexml sse sse2 sse3 ssl ssse3 tcpd theora thunar tiff truetype udev unicode vcd vcdimager video vorbis win32codecs wma wmp wxwindows x264 xfce xml xmms xorg xscreensaver xv xvid zip zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nvidia" XFCE_PLUGINS="brightness menu trash" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON


All suggestions welcome!

Thanks,
_________________
~g
emerge -FML...


Last edited by gr0x0rd on Tue Apr 29, 2014 1:33 am; edited 1 time in total
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 9367

PostPosted: Mon Apr 28, 2014 2:54 am    Post subject: Reply with quote

Please post an actual error message from a failed ebuild.
Back to top
View user's profile Send private message
gr0x0rd
Guru
Guru


Joined: 12 Aug 2006
Posts: 303

PostPosted: Tue Apr 29, 2014 1:35 am    Post subject: Reply with quote

Thanks for the reply- certainly, my bad...

Code:
>>> Emerging (2 of 2) media-video/vlc-2.1.4
 * vlc-2.1.4.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...                                     [ ok ]
>>> Unpacking source...
>>> Unpacking vlc-2.1.4.tar.xz to /var/tmp/portage/media-video/vlc-2.1.4/work
>>> Source unpacked in /var/tmp/portage/media-video/vlc-2.1.4/work
>>> Preparing source in /var/tmp/portage/media-video/vlc-2.1.4/work/vlc-2.1.4 ...
 * Applying vlc-2.1.0-newer-rdp.patch ...                                                    [ ok ]
 * Applying vlc-2.1.0-libva-1.2.1-compat.patch ...                                           [ ok ]
 * Applying vlc-2.1.0-TomWij-bisected-PA-broken-underflow.patch ...                          [ ok ]
 * Running eautoreconf in '/var/tmp/portage/media-video/vlc-2.1.4/work/vlc-2.1.4' ...
 * Running autopoint --force ...                                                             [ !! ]

 * Failed Running autopoint !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/media-video/vlc-2.1.4/temp/autopoint.out

 * ERROR: media-video/vlc-2.1.4::gentoo failed (prepare phase):
 *   Failed Running autopoint !
 *
 * Call stack:
 *     ebuild.sh, line   93:  Called src_prepare
 *   environment, line 3359:  Called eautoreconf
 *   environment, line 1231:  Called autotools_run_tool '--at-missing' 'autopoint' '--force'
 *   environment, line  991:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";
 *
 * If you need support, post the output of `emerge --info '=media-video/vlc-2.1.4::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-video/vlc-2.1.4::gentoo'`.
/usr/lib64/portage/bin/isolated-functions.sh: line 195: wait: `Failed Running autopoint !': not a pid or valid job spec
 * The complete build log is located at '/var/tmp/portage/media-video/vlc-2.1.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-video/vlc-2.1.4/temp/environment'.
 * Working directory: '/var/tmp/portage/media-video/vlc-2.1.4/work/vlc-2.1.4'
 * S: '/var/tmp/portage/media-video/vlc-2.1.4/work/vlc-2.1.4'

>>> Failed to emerge media-video/vlc-2.1.4, Log file:

>>>  '/var/tmp/portage/media-video/vlc-2.1.4/temp/build.log'

_________________
~g
emerge -FML...
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 9367

PostPosted: Tue Apr 29, 2014 1:58 am    Post subject: Reply with quote

gr0x0rd wrote:
Code:
 * Failed Running autopoint !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/media-video/vlc-2.1.4/temp/autopoint.out
Back to top
View user's profile Send private message
gr0x0rd
Guru
Guru


Joined: 12 Aug 2006
Posts: 303

PostPosted: Tue Apr 29, 2014 3:27 am    Post subject: Reply with quote

Code:
***** autopoint *****
***** PWD: /var/tmp/portage/media-video/vlc-2.1.4/work/vlc-2.1.4
***** autopoint --force

autopoint: *** Missing version: please specify in configure.ac through a line 'AM_GNU_GETTEXT_VERSION(x.yy.zz)' the gettext version the package is using
autopoint: *** Stop.


This thread had to do with a similar issue with a previous version of gettext, but that bug report was filed and fixed. I would think if it was back there would be others on the forum with the same issue, but looks like I'm the only one.
_________________
~g
emerge -FML...
Back to top
View user's profile Send private message
gr0x0rd
Guru
Guru


Joined: 12 Aug 2006
Posts: 303

PostPosted: Fri May 02, 2014 3:53 am    Post subject: Reply with quote

I did some more investigation, at compile time the vlc ebuild referencing automake has the following value in configure.ac:
Code:
dnl
dnl Gettext stuff
dnl
AM_GNU_GETTEXT_VERSION([0.18.3])
AM_GNU_GETTEXT([external], [need-ngettext])
So it looks like the value it's looking for IS there... not sure what to do from here.
_________________
~g
emerge -FML...
Back to top
View user's profile Send private message
TomWij
Developer
Developer


Joined: 04 Jul 2012
Posts: 1553

PostPosted: Fri Jun 13, 2014 2:20 pm    Post subject: Reply with quote

Bug #418181 is still open about it.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum